package agilpizza;

import org.junit.Test;
import static org.junit.Assert.*;
import agilpizza.selenium.SeleniumTestCase;

public class MontaPizzaTest extends SeleniumTestCase {

	@Test
	public void testeMontaPizzaComIngredientes() throws Exception {
		sel.open(CONTEXTO);
		assertTrue(sel.isElementPresent("montagem"));
		sel.clickAndWait("montagem");
		assertTrue(sel.isTextPresent("Escolha seus ingredientes:"));
		sel.click("//input[@value='Frango']");
		sel.click("//input[@value='Tomate']");
		sel.click("//input[@value='Muzzarela em dobro']");
		sel.click("//input[@value='Molho de tomate']");
		sel.clickAndWait("//input[@value='Montar a pizza!']");
		assertTrue(sel.isTextPresent("A sua pizza tem os ingredientes:"));
		assertTrue(sel.isTextPresent("Frango"));
		assertTrue(sel.isTextPresent("Tomate"));
		assertTrue(sel.isTextPresent("Muzzarela em dobro"));
		assertTrue(sel.isTextPresent("Molho de tomate"));
	}

	@Test
	public void testeMontaPizzaComTotalPreco() throws Exception {
		sel.open(CONTEXTO);
		assertTrue(sel.isElementPresent("montagem"));
		sel.clickAndWait("montagem");
		assertTrue(sel.isTextPresent("Escolha seus ingredientes:"));
		sel.click("//input[@value='Frango']");
		sel.click("//input[@value='Presunto']");
		sel.clickAndWait("//input[@value='Montar a pizza!']");
		assertTrue(sel.isTextPresent("Total: R$ 16.5"));
	}

	@Test
	public void testeMontaPizzaSemIngredientes() throws Exception {
		sel.open(CONTEXTO);
		assertTrue(sel.isElementPresent("montagem"));
		sel.clickAndWait("montagem");
		assertTrue(sel.isTextPresent("Escolha seus ingredientes:"));
		sel.clickAndWait("//input[@value='Montar a pizza!']");
		assertTrue(sel.isTextPresent("A sua pizza é só massa"));
		assertTrue(sel.isTextPresent("Não tem ingredientes!"));
	}
}
